### Constructor

# AppStreamCompose Hint new_for_tag

#### Declaration [src]

    AscHint*
    asc_hint_new_for_tag (
      const gchar* tag,
      GError** error
    )

#### Description [src]

Creates a new `AscHint` with the given tag. If the selected tag was not registered+ with the global tag registry, `NULL` is returned and an error is set.

#### Parameters

`tag`

  Type: `const gchar*`

  The tag ID to construct this hint for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AscHint`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.